Subject: Re: bug#31968: 26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)

From: Robert Pluim <[email-masked]>
Date: Mon, 02 Jul 2018 22:03:14 +0200

Carlos Pita <[email-masked]> writes:

> One more thing to take into account: after decorations are removed by
> the WM because of _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED the undecorated
> property is still nil in the frame alist. Maybe it's better for this
> to be so, but I'm not so sure, after all the WM did remove the
> decorations.

Youʼre confusing a proof-of-concept patch with a final implementation
:-)

Actually, if _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED and '(undecorated t)
result in the same visuals, why donʼt we do the latter when we
maximize a frame (with a variable to control it of course). Does that
not avoid more of the differences between window managers?

Robert